%global pypi_name dingus

Name:           python-%{pypi_name}
Version:        0.3.4
Release:        7%{?dist}
Summary:        A record-then-assert mocking library

License:        MIT
URL:            https://github.com/garybernhardt/dingus
Source0:        http://pypi.python.org/packages/source/d/dingus/dingus-0.3.4.tar.gz
# to get tests:
# git clone https://github.com/garybernhardt/dingus.git && cd dingus
# git checkout 0.3.4
# tar -czf dingus-tests-0.3.4.tgz tests/
Source1:        dingus-tests-%{version}.tgz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

%description
A dingus is sort of like a mock object. The main difference is that you don't
set up expectations ahead of time. You just run your code, using a dingus in
place of another object or class, and it will record what happens to it.
Then, once your code has been exercised, you can make assertions about
what it did to the dingus.

%prep
%setup -q -n %{pypi_name}-%{version}
# remove bundled egg-info
rm -rf dingus.egg-info

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-data %{_docdir}/%{pypi_name}

%check
tar -xzf %{SOURCE1}
nosetests -m '((?:^|[b_.-])(:?[Tt]est|When|should))'


%files
%doc %{_docdir}/%{pypi_name}/
%{python_sitelib}/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 20 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.4-1
- Initial package.

